Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.network
Class NetworkModHandler

    java.lang.Object
      cpw.mods.fml.common.network.NetworkModHandler

Direct Known Subclasses:
  ModLoaderNetworkHandler

    public class NetworkModHandler

extends Object

Constructor Summary
`NetworkModHandler(ModContainer container, Class<?> networkModClass, ASMDataTable table)`
`NetworkModHandler(ModContainer container, NetworkMod modAnnotation)`

Method Summary
`boolean` | `acceptVersion(String version)`
`ModContainer` | `getContainer()`
`int` | `getLocalId()`
`NetworkMod` | `getMod()`
`int` | `getNetworkId()`
`ITinyPacketHandler` | `getTinyPacketHandler()`
`boolean` | `hasTinyPacketHandler()`
`boolean` | `isNetworkMod()`
`boolean` | `requiresClientSide()`
`boolean` | `requiresServerSide()`
`void` | `setNetworkId(int value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkModHandler

    public NetworkModHandler(ModContainer container,
                             NetworkMod modAnnotation)

### NetworkModHandler

    public NetworkModHandler(ModContainer container,
                             Class<?> networkModClass,
                             ASMDataTable table)

Method Detail

### requiresClientSide

    public boolean requiresClientSide()

### requiresServerSide

    public boolean requiresServerSide()

### acceptVersion

    public boolean acceptVersion(String version)

### getLocalId

    public int getLocalId()

### getNetworkId

    public int getNetworkId()

### getContainer

    public ModContainer getContainer()

### getMod

    public NetworkMod getMod()

### isNetworkMod

    public boolean isNetworkMod()

### setNetworkId

    public void setNetworkId(int value)

### hasTinyPacketHandler

    public boolean hasTinyPacketHandler()

### getTinyPacketHandler

    public ITinyPacketHandler getTinyPacketHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD